# Prototyping setup for MPC for PMSM

In this report we describe a setup for fast prototyping of *model predictive control* (MPC) algorithms for motion control with *permament magnet synchronous motors* (PMSM). In particular, we focus on the methods of *finite set model predictive control* (FS-MPC), which impose quite some stringent implementation requirements on the hardware and software. The intended use is *hybrid position and force control* in robotics. We give both detailed instructions on how to use the setup and comments on some experiments already conducted with this setup.  